Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8153 - pppd does not reap child process deaths correctly in demand dial mode
Summary: pppd does not reap child process deaths correctly in demand dial mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 22:05 UTC by jrann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-03-02 23:01:40 UTC


Attachments (Terms of Use)

Description jrann 2000-01-03 22:05:04 UTC
I have ppp-2.3.10-3 installed under Redhat 6.1 and have
ppp configured to work in demand-dial mode.  This is
working as advertised.  Recently, I added some code to
/etc/ppp/ip-up.local, but pppd does not always execute
that code.

Here's what I've tracked down so far:

1) The very first time that pppd brings the link up,
   it executes if-up (which in turn executed if-up.local).
   It is able to successfully reap the death of this child
   process.  So far, so good.
2) When pppd drops the link due to inactivity, it runs
   if-down.   However, it does not properly reap the
   death of this child process.  As such, it does not
   have a chance to call ipcp_script_done to reset some
   variables it uses.  In particular, ipcp_script_pid remains
   set to the pid of the ip-down script.
3) The next time pppd brings the link up, it checks to see if it
   should run the ip-up script.  It does this by seeing if
   the ipcp_script_pid variable is 0.  If so, then it runs
   the script.  But since the variable was never reset
   properly, pppd will never run the ip-up or ip-down scripts
   after the very first time.

If you need additional information, please email me and I'll
provide it.

Jack Rann

Comment 1 tamoon 2000-02-02 02:07:59 UTC
I'm experiencing this exact same problem (RH 6.1 & ppp-2.3.10-1).
Is there a workaround or fix?

Comment 2 Nalin Dahyabhai 2000-02-07 17:16:59 UTC
I've taken a stab at fixing this.  Please try the test release of ppp from
http://people/nalin/ppp-2.3.11-3.i386.rpm and let me know if it has any effect.

Comment 3 Nalin Dahyabhai 2000-02-07 17:18:59 UTC
Sorry, the full URL is "http://people.redhat.com/nalin/ppp-2.3.11-3.i386.rpm".

Comment 4 tamoon 2000-02-16 23:29:59 UTC
The new ppp-2.3.11-3 appears to work for me - Thanks!

Comment 5 Nalin Dahyabhai 2000-02-29 14:08:59 UTC
Excellent.  This version is now in our beta and slated to ship with 6.2.

Thanks!

Comment 6 Nalin Dahyabhai 2000-02-29 14:09:59 UTC
Aargh.  Can't close this until jrann@osci.portland.or.us verifies that the new
version fixes it for him as well....

Comment 7 jrann 2000-03-01 02:37:59 UTC
Yes, I've been using ppp-2.3.11-3 since 2/7/00 and it
appears to fix the problem.  Go ahead and close out this bug.

Comment 8 Nalin Dahyabhai 2000-03-02 23:01:59 UTC
Excellent!


Note You need to log in before you can comment on or make changes to this bug.